SET search_path TO cadastre_2017,public;
SELECT
-- identification
l.dnubat AS l_batiment, l.descr AS l_numero_entree, 
l.dniv AS l_niveau_etage, l.dpor AS l_numero_local,

-- adresse
ltrim(l.dnvoiri, '0') || l.dindic AS l_numero_voirie,
CASE WHEN v.libvoi IS NOT NULL THEN v.natvoi || v.libvoi ELSE p.cconvo || p.dvoilib END AS l_adresse,

-- proprio et acte
concat(l10.ccodep, l10.ccocom, '-',l10.dnupro) AS l10_compte_proprietaire,
l10.jdatat AS l10_date_acte,

-- autres infos
dteloc_lib AS l10_type_local_lib,
ccoplc_lib AS l10_nature_construction_particuliere,
l10.jannat AS l10_annee_construction,
l10.dnbniv AS l10_nombre_niveaux,
dnatlc_lib AS l10_nature_occupation

FROM parcelle p
INNER JOIN local00 l ON l.parcelle = p.parcelle
INNER JOIN local10 l10 ON l10.local00 = l.local00
INNER JOIN pev ON pev.local10 = l10.local10
LEFT OUTER JOIN voie v ON v.voie = l.voie
LEFT JOIN pevexoneration px ON px.pev = pev.pev
LEFT JOIN pevtaxation pt ON pt.pev = pev.pev           
LEFT JOIN "dteloc" ON l10.dteloc = dteloc.dteloc
LEFT JOIN "ccoplc" ON l10.ccoplc = ccoplc.ccoplc
LEFT JOIN "dnatlc" ON l10.dnatlc = dnatlc.dnatlc
WHERE 2>1
AND l.parcelle = '20170202430000D0689'



